Index: trunk/NEMO/OPA_SRC/DIA/diagap.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DIA/diagap.F90	(revision 238)
+++ trunk/NEMO/OPA_SRC/DIA/diagap.F90	(revision 239)
@@ -34,10 +34,8 @@
       ngap  ,                 &  ! time step frequency
       nprg                       ! switch for control print
-#if ! defined key_fdir
    ! netcdf files and index common
    INTEGER ::   &
       nhoridg, ndepidg,             &
       ndex(1)
-#endif
    REAL(wp) ::     &
       vol                        ! total ocean volume
@@ -76,7 +74,6 @@
       !!----------------------------------------------------------------------
       !! * Modules used
-#if ! defined key_fdir
       USE ioipsl
-#endif
+
       !! * Arguments
       INTEGER, INTENT(in) ::   kt           ! ocean time-step index
@@ -151,8 +148,4 @@
          IF(lwp) WRITE(numout,*) '     basin volume : ',vol*1.e-9, '  km3'
 
-#if defined key_fdir
-      CALL ctlopn( numgap, 'differences.diag', 'UNKNOWN', 'UNFORMATTED', 'SEQUENTIAL', 1,numout,lwp,1)
-#else
-
          ! OPEN netcdf file 
 
@@ -195,5 +188,4 @@
           CALL histend( numgap )
           ndex(1) = 0
-#endif
       ENDIF
 
@@ -260,8 +252,4 @@
           ! Output in file numgap
 
-#if defined key_fdir
-          IF(lwp) WRITE (numgap) no, kt, jpk, tdtag, sdtag, tmodg, smodg
-#else
-
           ! Netcdf write
 
@@ -273,5 +261,4 @@
              CALL histwrite( numgap, "mosalimo", it, smodg, jpk, ndex )
           END IF
-#endif
       ENDIF
 
@@ -279,9 +266,5 @@
 
       IF( kt == nitend ) THEN
-#if defined key_fdir
-          CLOSE( numgap )             ! direct acces file
-#else
-          CALL histclo( numgap )      !   Netcdf file
-#endif    
+         CALL histclo( numgap )      !   Netcdf file
       ENDIF 
 
Index: trunk/NEMO/OPA_SRC/DIA/diaptr.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DIA/diaptr.F90	(revision 238)
+++ trunk/NEMO/OPA_SRC/DIA/diaptr.F90	(revision 239)
@@ -345,77 +345,4 @@
    END SUBROUTINE dia_ptr_init
 
-#if defined key_fdir
-   !!---------------------------------------------------------------------
-   !!   'key_fdir'                                      direct access file
-   !!---------------------------------------------------------------------
-
-   SUBROUTINE dia_ptr_wri( kt )
-      !!---------------------------------------------------------------------
-      !!                ***  ROUTINE dia_ptr_wri  ***
-      !!
-      !! ** Purpose :   output of poleward fluxes 
-      !! 
-      !! ** Method  :   NetCDF file
-      !!
-      !! History :
-      !!   9.0  !  03-09  (G. Madec)  Original code  
-      !!---------------------------------------------------------------------- 
-      !! * Arguments
-      INTEGER, INTENT(in) ::   kt   ! ocean time-step index
-      REAL(wp), DIMENSION(jpj) ::   zphi, zfoo
-      !!---------------------------------------------------------------------- 
-
-      IF( kt == nit000 ) THEN
-
-         ! Reference latitude
-         ! ------------------
-         !                                           ! =======================
-         IF( cp_cfg == "orca" ) THEN                 !   ORCA configurations
-            !                                        ! =======================
-
-            IF( jp_cfg == 05  )   iline = 192   ! i-line that passes near the North Pole
-            IF( jp_cfg == 025 )   iline = 384   ! i-line that passes near the North Pole
-            IF( jp_cfg == 2   )   iline =  48   ! i-line that passes near the North Pole
-            IF( jp_cfg == 4   )   iline =  24   ! i-line that passes near the North Pole
- 
-            zphi(:) = 0.e0   
-            DO ji = mi0(iline), mi1(iline)
-               zphi(:) = gphiv(ji,:)         ! if iline is in the local domain
-            END DO
-            ! provide the correct zphi to all local domains
-            IF( lk_mpp )   CALL mpp_sum( zphi, jpj )        
-            ! introduce arbitray northernmost grid point to avoid netcdf error
-            DO jj=mj0(jpjglo), mj1(jpjglo)
-               zphi(jj) = 2*zphi(jj-1)-zphi(jj-2)
-            ENDDO
-
-            !                                        ! =======================
-         ELSE                                        !   OTHER configurations
-            !                                        ! =======================
-            zphi(:) = gphiv(1,:)             ! assume lat/lon coordinate, select the first i-line
-            !
-         ENDIF
- 
-         ! open the output file         
-         CALL ctlopn( numptr, 'opaptr.output', 'UNKNOWN', 'UNFORMATTED', 'SEQUENTIAL', 1, numout, lwp, 1 )
-
-         ! header of output
-         WRITE( numptr ) cexper, no, zdt, nf_ptr, jpj, jpk, zphi
-
-      ENDIF
-
-      IF( MOD( kt, nf_ptr ) == 0 ) THEN
-            IF(lwp) WRITE( numptr ) kt, tn_jk, sn_jk, v_msf,              &
-# if defined key_diaeiv
-               &                    pht_eiv, pst_eiv, v_msf_eiv,          &
-# endif
-               &                    pht_adv, pht_ldf, pst_adv, pst_ldf
-      ENDIF
-
-      IF( kt == nitend )   CLOSE( numptr )
-
-   END SUBROUTINE dia_ptr_wri
-
-#else
    !!---------------------------------------------------------------------
    !!   Default option :                                       NetCDF file
@@ -598,6 +525,4 @@
    END SUBROUTINE dia_ptr_wri
 
-#endif
-
    !!======================================================================
 END MODULE diaptr
Index: trunk/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DOM/domain.F90	(revision 238)
+++ trunk/NEMO/OPA_SRC/DOM/domain.F90	(revision 239)
@@ -153,7 +153,5 @@
       !!----------------------------------------------------------------------
       !! * Modules used
-#if ! defined key_fdir
       USE ioipsl
-#endif
       NAMELIST/namrun/ no    , cexper   , ln_rstart , nrstdt , nit000,         &
          &             nitend, ndate0   , nleapy   , ninist , nstock,          &
@@ -216,6 +214,4 @@
       ENDIF
 
-#if ! defined key_fdir
-
       SELECT CASE ( nleapy )   ! Choose calendar for IOIPSL
       CASE (  1 ) 
@@ -229,5 +225,4 @@
          IF(lwp) WRITE(numout,*) '           The IOIPSL calendar is "360d", i.e. 360 days in a year'
       END SELECT
-#endif
 
       SELECT CASE ( nleapy )   ! year=raajj*days day=rjjhh*hours hour=rhhmm*minutes etc ...
Index: trunk/NEMO/OPA_SRC/DOM/domhgr.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 238)
+++ trunk/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 239)
@@ -8,5 +8,4 @@
    !!   dom_hgr        : initialize the horizontal mesh 
    !!   hgr_read       : read "coordinate" NetCDF file 
-   !!   hgr_read_fdir  : read "coordinate" direct access file 
    !!----------------------------------------------------------------------
    !! * Modules used
@@ -130,9 +129,6 @@
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) '          curvilinear coordinate on the sphere read in "coordinate" file'
-#if defined key_fdir
-         CALL hgr_read_fdir      ! 'key_fdir'       :   direct access file
-#else
+
          CALL hgr_read           ! Defaultl option  :   NetCDF file
-#endif
 
          !                                                ! =====================
@@ -644,286 +640,4 @@
    END SUBROUTINE hgr_read
 
-
-   SUBROUTINE hgr_read_fdir
-      !!----------------------------------------------------------------------
-      !!                 ***  ROUTINE hgr_read_fdir  ***
-      !!
-      !!----------------------------------------------------------------------
-      !! * Local declarations
-      CHARACTER (len=5) ::   clfield
-      CHARACTER(len=21) ::   clname = 'coordinates'
-      INTEGER ::   ji, jj         ! dummy loop indices
-      INTEGER ::   inumcoo = 11   ! logical unit for coordinate file
-      INTEGER ::   ijpi, ijpj     ! temporary integers
-      REAL(wp), DIMENSION(jpi,jpj) ::   zdta   ! temporary workspace
-      !!----------------------------------------------------------------------
-
-
-      ! 1. Read of the grid coordinates and scale factors
-      ! -------------------------------------------------
-
-      IF(lwp) THEN
-         WRITE(numout,*)
-         WRITE(numout,*) 'hgrcoo : read the horizontal coordinates'
-         WRITE(numout,*) '~~~~~~'
-         WRITE(numout,*) '         jpiglo jpjglo jpk : ', jpiglo, jpjglo, jpk
-      ENDIF
-
-      ! open the file
-          CALL ctlopn( inumcoo, clname, 'OLD', 'UNFORMATTED', 'SEQUENTIAL',   &
-                       1      , numout       , lwp  , 1                            )
-
-      ! read the file
-      READ(inumcoo) ijpi,ijpj
-      IF( (ijpi /= jpidta) .OR. (ijpj /= jpjdta) ) THEN
-         IF(lwp) THEN
-            WRITE(numout,*)
-            WRITE(numout,*) '         inconsitency in reading coordinate file, unit=',inumcoo
-            WRITE(numout,*) '            jpidta = ',jpidta  ,' jpi  read = ',ijpi
-            WRITE(numout,*) '            jpjdta = ',jpjdta  ,' jpj  read = ',ijpj
-            WRITE(numout,*)
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-
-      READ(inumcoo) clfield, zdta
-      IF( clfield /= 'GLAMT' ) THEN
-         IF(lwp) THEN
-            WRITE(numout,cform_err)
-            WRITE(numout,*) 'hgrcoo: bad read',clfield,' GLAMT'
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            glamt(ji,jj) = zdta(mig(ji),mjg(jj))
-         END DO
-      END DO
-      READ(inumcoo) clfield, zdta
-      IF(clfield /= 'GLAMU') THEN
-         IF(lwp) THEN
-            WRITE(numout,cform_err)
-            WRITE(numout,*) 'hgrcoo: bad read',clfield,' GLAMU'
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            glamu(ji,jj) = zdta(mig(ji),mjg(jj))                    
-         END DO
-      END DO
-      READ(inumcoo) clfield, zdta
-      IF(clfield /= 'GLAMV') THEN
-         IF(lwp) THEN
-            WRITE(numout,cform_err)
-            WRITE(numout,*) 'hgrcoo: bad read',clfield,' GLAMV'
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            glamv(ji,jj) = zdta(mig(ji),mjg(jj))                    
-         END DO
-      END DO
-      READ(inumcoo) clfield, zdta
-      IF(clfield /= 'GLAMF') THEN
-         IF(lwp) THEN
-            WRITE(numout,cform_err)
-            WRITE(numout,*) 'hgrcoo: bad read',clfield,' GLAMF'
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            glamf(ji,jj) = zdta(mig(ji),mjg(jj))                    
-         END DO
-      END DO
-      READ(inumcoo) clfield, zdta
-      IF(clfield /= 'GPHIT') THEN
-         IF(lwp) THEN
-            WRITE(numout,cform_err)
-            WRITE(numout,*) 'hgrcoo: bad read',clfield,' GPHIT'
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            gphit(ji,jj) = zdta(mig(ji),mjg(jj))                    
-         END DO
-      END DO
-      READ(inumcoo) clfield, zdta
-      IF(clfield /= 'GPHIU') THEN
-         IF(lwp) THEN
-            WRITE(numout,cform_err)
-            WRITE(numout,*) 'hgrcoo: bad read',clfield,' GPHIU'
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            gphiu(ji,jj) = zdta(mig(ji),mjg(jj))                    
-         END DO
-      END DO
-      READ(inumcoo) clfield, zdta
-      IF(clfield /= 'GPHIV') THEN
-         IF(lwp) THEN
-            WRITE(numout,cform_err)
-            WRITE(numout,*) 'hgrcoo: bad read',clfield,' GPHIV'
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            gphiv(ji,jj) = zdta(mig(ji),mjg(jj))                    
-         END DO
-      END DO
-      READ(inumcoo) clfield, zdta
-      IF(clfield /= 'GPHIF') THEN
-         IF(lwp) THEN
-            WRITE(numout,cform_err)
-            WRITE(numout,*) 'hgrcoo: bad read',clfield,' GPHIF'
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            gphif(ji,jj) = zdta(mig(ji),mjg(jj))                    
-         END DO
-      END DO
-      READ(inumcoo) clfield, zdta
-      IF(clfield /= 'E1T  ') THEN
-         IF(lwp) THEN
-            WRITE(numout,cform_err)
-            WRITE(numout,*) 'hgrcoo: bad read',clfield,' E1T  '
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            e1t  (ji,jj) = zdta(mig(ji),mjg(jj))                    
-         END DO
-      END DO
-      READ(inumcoo) clfield, zdta
-      IF(clfield /= 'E1U  ') THEN
-         IF(lwp) THEN
-            WRITE(numout,cform_err)
-            WRITE(numout,*) 'hgrcoo: bad read',clfield,' E1U  '
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            e1u  (ji,jj) = zdta(mig(ji),mjg(jj))                    
-         END DO
-      END DO
-      READ(inumcoo) clfield, zdta
-      IF(clfield /= 'E1V  ') THEN
-         IF(lwp) THEN
-            WRITE(numout,cform_err)
-            WRITE(numout,*) 'hgrcoo: bad read',clfield,' E1V  '
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            e1v  (ji,jj) = zdta(mig(ji),mjg(jj))                    
-         END DO
-      END DO
-      READ(inumcoo) clfield, zdta
-      IF(clfield /= 'E1F  ') THEN
-         IF(lwp) THEN
-            WRITE(numout,cform_err)
-            WRITE(numout,*) 'hgrcoo: bad read',clfield,' E1F  '
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            e1f  (ji,jj) = zdta(mig(ji),mjg(jj))                    
-         END DO
-      END DO
-      READ(inumcoo) clfield, zdta
-      IF(clfield /= 'E2T  ') THEN
-         IF(lwp) THEN
-            WRITE(numout,cform_err)
-            WRITE(numout,*) 'hgrcoo: bad read',clfield,' E2T  '
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            e2t  (ji,jj) = zdta(mig(ji),mjg(jj))                    
-         END DO
-      END DO
-      READ(inumcoo) clfield, zdta
-      IF(clfield /= 'E2U  ') THEN
-         IF(lwp) THEN
-            WRITE(numout,cform_err)
-            WRITE(numout,*) 'hgrcoo: bad read',clfield,' E2U  '
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            e2u  (ji,jj) = zdta(mig(ji),mjg(jj))                    
-         END DO
-      END DO
-      READ(inumcoo) clfield, zdta
-      IF(clfield /= 'E2V  ') THEN
-         IF(lwp) THEN
-            WRITE(numout,cform_err)
-            WRITE(numout,*) 'hgrcoo: bad read',clfield,' E2V  '
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            e2v  (ji,jj) = zdta(mig(ji),mjg(jj))                    
-         END DO
-      END DO
-      READ(inumcoo) clfield, zdta
-      IF(clfield /= 'E2F  ') THEN
-         IF(lwp) THEN
-            WRITE(numout,cform_err)
-            WRITE(numout,*) 'hgrcoo: bad read',clfield,' E2F  '
-         ENDIF
-         nstop = nstop + 1
-      ENDIF
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            e2f  (ji,jj) = zdta(mig(ji),mjg(jj))                    
-         END DO
-      END DO
-
-      CLOSE( inumcoo )
-
-      ! set extra rows add in mpp to none zero values
-      DO jj = nlcj+1, jpj
-         DO ji = 1, nlci
-            glamt(ji,jj) = glamt(ji,1)   ;   gphit(ji,jj) = gphit(ji,1)
-            glamu(ji,jj) = glamu(ji,1)   ;   gphiu(ji,jj) = gphiu(ji,1)
-            glamv(ji,jj) = glamv(ji,1)   ;   gphiv(ji,jj) = gphiv(ji,1)
-            glamf(ji,jj) = glamf(ji,1)   ;   gphif(ji,jj) = gphif(ji,1)
-            e1t  (ji,jj) = e1t  (ji,1)   ;   e2t  (ji,jj) = e2t  (ji,1)
-            e1u  (ji,jj) = e1u  (ji,1)   ;   e2u  (ji,jj) = e2u  (ji,1)
-            e1v  (ji,jj) = e1v  (ji,1)   ;   e2v  (ji,jj) = e2v  (ji,1)
-            e1f  (ji,jj) = e1f  (ji,1)   ;   e2f  (ji,jj) = e2f  (ji,1)
-         END DO
-      END DO
-
-      ! set extra columns add in mpp to none zero values
-      DO ji = nlci+1, jpi
-         glamt(ji,:) = glamt(1,:)   ;   gphit(ji,:) = gphit(1,:)
-         glamu(ji,:) = glamu(1,:)   ;   gphiu(ji,:) = gphiu(1,:)
-         glamv(ji,:) = glamv(1,:)   ;   gphiv(ji,:) = gphiv(1,:)
-         glamf(ji,:) = glamf(1,:)   ;   gphif(ji,:) = gphif(1,:)
-         e1t  (ji,:) = e1t  (1,:)   ;   e2t  (ji,:) = e2t  (1,:)
-         e1u  (ji,:) = e1u  (1,:)   ;   e2u  (ji,:) = e2u  (1,:)
-         e1v  (ji,:) = e1v  (1,:)   ;   e2v  (ji,:) = e2v  (1,:)
-         e1f  (ji,:) = e1f  (1,:)   ;   e2f  (ji,:) = e2f  (1,:)
-      END DO
-
-   END SUBROUTINE hgr_read_fdir
-
    !!======================================================================
 END MODULE domhgr
Index: trunk/NEMO/OPA_SRC/DOM/domwri.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DOM/domwri.F90	(revision 238)
+++ trunk/NEMO/OPA_SRC/DOM/domwri.F90	(revision 239)
@@ -26,11 +26,5 @@
 CONTAINS
 
-#if defined key_fdir
-   !!----------------------------------------------------------------------
-   !!   'key_fdir' :                                     direct access file
-   !!----------------------------------------------------------------------
-#  include "domwri_fdir.h90"
-
-#elif ( defined key_mpp_mpi || defined key_mpp_shmem ) && defined key_dimgout
+#if ( defined key_mpp_mpi || defined key_mpp_shmem ) && defined key_dimgout
    !!----------------------------------------------------------------------
    !!   'key_mpp_mpi'     OR
@@ -41,5 +35,4 @@
    !!----------------------------------------------------------------------
 #  include "domwri_dimg.h90"
-
 
 #else
Index: trunk/NEMO/OPA_SRC/DTA/dtasal.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DTA/dtasal.F90	(revision 238)
+++ trunk/NEMO/OPA_SRC/DTA/dtasal.F90	(revision 239)
@@ -43,10 +43,4 @@
 CONTAINS
 
-# if defined key_fdir
-   !!----------------------------------------------------------------------
-   !!   'key_fdir'                                       direct access file
-   !!----------------------------------------------------------------------
-#     include "dtasal_fdir.h90"
-# else
    !!----------------------------------------------------------------------
    !!   Default option:                                         NetCDF file
@@ -291,6 +285,4 @@
    END SUBROUTINE dta_sal
 
-# endif
-
 #else
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DTA/dtatem.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DTA/dtatem.F90	(revision 238)
+++ trunk/NEMO/OPA_SRC/DTA/dtatem.F90	(revision 239)
@@ -45,11 +45,4 @@
 CONTAINS
 
-# if defined key_fdir
-   !!----------------------------------------------------------------------
-   !!   'key_fdir'                                       direct access file
-   !!----------------------------------------------------------------------
-#  include "dtatem_fdir.h90"
-
-# else
    !!----------------------------------------------------------------------
    !!   Default case                                            NetCDF file
@@ -284,6 +277,4 @@
    END SUBROUTINE dta_tem
 
-# endif
-
 #else
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/SBC/flxmod.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/flxmod.F90	(revision 238)
+++ trunk/NEMO/OPA_SRC/SBC/flxmod.F90	(revision 239)
@@ -27,12 +27,4 @@
 
 #if defined key_flx_bulk_monthly
-# if defined key_fdir
-   !!----------------------------------------------------------------------
-   !!   'key_flx_bulk_monthly'   and                           MONTHLY bulk
-   !!   'key_fdir'                                       direct access file
-   !!----------------------------------------------------------------------
-#  include "flx_bulk_monthly_fdir.h90"
-
-# else
    !!----------------------------------------------------------------------
    !!   'key_flx_bulk_monthly'   and                           MONTHLY bulk
@@ -41,5 +33,4 @@
 #  include "flx_bulk_monthly.h90"
 
-# endif
 #elif defined key_flx_bulk_daily
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/SBC/taumod.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/taumod.F90	(revision 238)
+++ trunk/NEMO/OPA_SRC/SBC/taumod.F90	(revision 239)
@@ -32,11 +32,4 @@
 #if defined key_tau_monthly
    ! Monthly climatology in (i,j) referential  (i-comp. at U-pt and j-comp. at V-pt)
-#  if defined key_fdir
-   !!----------------------------------------------------------------------
-   !!   'key_tau_monthly'                        MONTHLY climatology stress
-   !!   'key_fdir'                                  direct access files
-   !!----------------------------------------------------------------------
-#   include "tau_forced_monthly_fdir.h90"
-#  else
    !!----------------------------------------------------------------------
    !!   'key_tau_monthly'                        MONTHLY climatology stress
@@ -44,5 +37,4 @@
    !!----------------------------------------------------------------------
 #   include "tau_forced_monthly.h90"
-#  endif
 
 # elif defined key_tau_daily
Index: trunk/NEMO/OPA_SRC/SOL/solisl.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SOL/solisl.F90	(revision 238)
+++ trunk/NEMO/OPA_SRC/SOL/solisl.F90	(revision 239)
@@ -536,11 +536,4 @@
    END SUBROUTINE isl_pth
 
-# if defined key_fdir
-   !!----------------------------------------------------------------------
-   !!   'key_fdir' :                                     direct access file
-   !!----------------------------------------------------------------------
-#  include "solisl_fdir.h90"
-
-# else
    !!----------------------------------------------------------------------
    !!   Default option :                                        NetCDF file
@@ -692,6 +685,6 @@
       CALL linrg( jpisl, aisl, jpisl, aislm1, jpisl )
 
-! 2.2 Control print
-
+      ! 2.2 Control print
+      
       IF(lwp) THEN
          WRITE(numout,*)
@@ -706,6 +699,6 @@
       
 
-! 3. Output of aisl and aislm1 in numisl
-! --------------------------------------
+      ! 3. Output of aisl and aislm1 in numisl
+      ! --------------------------------------
 
       CALL restput( numisl, 'aisl'  , jpisl, jpisl, 1, 0, aisl   )
@@ -1160,5 +1153,4 @@
    END SUBROUTINE isl_bsf
 
-#endif
 
    SUBROUTINE isl_dyn_spg
Index: trunk/NEMO/OPA_SRC/istate.F90
===================================================================
--- trunk/NEMO/OPA_SRC/istate.F90	(revision 238)
+++ trunk/NEMO/OPA_SRC/istate.F90	(revision 239)
@@ -224,7 +224,5 @@
       USE eosbn2     ! eq. of state, Brunt Vaisala frequency (eos     routine)
       USE divcur     ! hor. divergence & rel. vorticity      (div_cur routine)
-#if ! defined key_fdir
       USE ioipsl
-#endif
  
       !! * Local declarations
Index: trunk/NEMO/OPA_SRC/mppini.F90
===================================================================
--- trunk/NEMO/OPA_SRC/mppini.F90	(revision 238)
+++ trunk/NEMO/OPA_SRC/mppini.F90	(revision 239)
@@ -481,7 +481,7 @@
 #  include "mppini_2.h90"
 
-# if defined key_fdir   ||   defined key_dimgout
-   !!----------------------------------------------------------------------
-   !!   'key_fdir' OR 'key_dimgout'                  NO use of NetCDF files
+# if defined key_dimgout
+   !!----------------------------------------------------------------------
+   !!   'key_dimgout'                  NO use of NetCDF files
    !!----------------------------------------------------------------------
    SUBROUTINE mpp_init_ioipsl       ! Dummy routine
Index: trunk/NEMO/OPA_SRC/restart.F90
===================================================================
--- trunk/NEMO/OPA_SRC/restart.F90	(revision 238)
+++ trunk/NEMO/OPA_SRC/restart.F90	(revision 239)
@@ -40,11 +40,5 @@
 CONTAINS
 
-#if defined key_fdir
-   !!----------------------------------------------------------------------
-   !!   'key_fdir'                                       direct access file
-   !!----------------------------------------------------------------------
-#  include "restart_fdir.h90"
-
-#elif  ( defined key_mpp_mpi   ||   defined key_mpp_shmem ) && defined key_dimgout
+#if  ( defined key_mpp_mpi   ||   defined key_mpp_shmem ) && defined key_dimgout
    !!----------------------------------------------------------------------
    !!   'key_mpp_mpi'     OR      MPI massively parallel processing library
